Permalink
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
54 lines (43 sloc) 2.59 KB
Requirements installation
=========================
First install the following free packages:
- Hermes (http://hpfem.org/hermes)
- Digia Qt (http://qt.digia.com)
- QCustomChart (http://www.workslikeclockwork.com/index.php/components/qt-plotting-widget/)
- Python (http://www.python.org)
- dxflib (http://www.ribbonsoft.com)
- ctemplate (http://code.google.com/p/ctemplate)
- poly2tri (http://code.google.com/p/poly2tri)
- Triangle (http://www.cs.cmu.edu/~quake/triangle.html)
- Gmsh (http://geuz.org/gmsh/)
- UMFPACK (http://www.cise.ufl.edu/research/sparse/umfpack/)
- MUMPS (http://graal.ens-lyon.fr/MUMPS)
- SuperLU (http://crd-legacy.lbl.gov/~xiaoye/SuperLU)
If you are using a Debian-like system, install the required libraries by following commands:
Compilation with QT4:
sudo apt-get install libqt4-dev libqt4-opengl-dev qt4-dev-tools qt4-qmake g++
sudo apt-get install cython python-dev xsdcxx libxerces-c-dev
sudo apt-get install triangle-bin gmsh libsuitesparse-dev libmumps-seq-dev libsuperlu3-dev libsuitesparse-dev ffmpeg
sudo apt-get install libgoogle-perftools-dev zlib1g-dev
sudo apt-get install libsqlite3-dev libgstreamer0.10-dev libxslt1-dev libgstreamermm-0.10-dev
Compilation with QT5:
sudo apt-get install qt5-default qmlscene libqt5opengl5-dev qttools5-dev-tools qt5-qmake libqt5webkit5-dev qtxmlpatterns5-dev-tools libqt5svg5-dev qtlocation5-dev qtsensors5-dev qttools5-dev qtquick1-5-dev libqt5xmlpatterns5-dev qtdeclarative5-dev g++ libsm-dev
sudo apt-get install cython python-dev xsdcxx libxerces-c-dev
sudo apt-get install triangle-bin gmsh libsuitesparse-dev libmumps-seq-dev libsuperlu3-dev libsuitesparse-dev ffmpeg
sudo apt-get install libgoogle-perftools-dev zlib1g-dev
sudo apt-get install libsqlite3-dev libgstreamer0.10-dev libxslt1-dev libgstreamermm-0.10-dev
You can use defines WITH_UNITY (support for Unity application launcher) for Ubuntu 11.04 and higher.
This defines needs package libunity-dev.
Compilation
===========
In the first step of compilation, you have to generate makefiles and compile the code by issuing the following commands:
$ cmake .
# replace the previous line with ## $ cmake -G "Visual Studio 10" . ## if you are using Windows.
$ make # Or open agros2d.sln with Visual Studio 10 (2010) and build.
If you have more than one CPU, you can use “make -jN” where N is the number of CPUs of your computer.
Next step is generating of plugins source code and their compilation:
./agros2d_generator
cd plugins
cmake .
# replace the previous line with ## $ cmake -G "Visual Studio 10" . ## if you are using Windows.
$ make # Or open plugins.sln with Visual Studio 10 (2010) and build.